# Class ObjectFactory

java.lang.Object
com.io7m.certusine.vanilla.internal.jaxb.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.io7m.certusine.vanilla.internal.jaxb package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.io7m.certusine.vanilla.internal.jaxb

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Account`
  `createAccount()`
  Create an instance of `Account`
  `Accounts`
  `createAccounts()`
  Create an instance of `Accounts`
  `Certificate`
  `createCertificate()`
  Create an instance of `Certificate`
  `Certificates`
  `createCertificates()`
  Create an instance of `Certificates`
  `Configuration`
  `createConfiguration()`
  Create an instance of `Configuration`
  `DNSConfigurator`
  `createDNSConfigurator()`
  Create an instance of `DNSConfigurator`
  `DNSConfigurators`
  `createDNSConfigurators()`
  Create an instance of `DNSConfigurators`
  `Domain`
  `createDomain()`
  Create an instance of `Domain`
  `Domains`
  `createDomains()`
  Create an instance of `Domains`
  `FaultInjection`
  `createFaultInjection()`
  Create an instance of `FaultInjection`
  `Host`
  `createHost()`
  Create an instance of `Host`
  `Hosts`
  `createHosts()`
  Create an instance of `Hosts`
  `Logs`
  `createLogs()`
  Create an instance of `Logs`
  `Metrics`
  `createMetrics()`
  Create an instance of `Metrics`
  `OpenTelemetry`
  `createOpenTelemetry()`
  Create an instance of `OpenTelemetry`
  `Options`
  `createOptions()`
  Create an instance of `Options`
  `Output`
  `createOutput()`
  Create an instance of `Output`
  `OutputReference`
  `createOutputReference()`
  Create an instance of `OutputReference`
  `OutputReferences`
  `createOutputReferences()`
  Create an instance of `OutputReferences`
  `Outputs`
  `createOutputs()`
  Create an instance of `Outputs`
  `Parameter`
  `createParameter()`
  Create an instance of `Parameter`
  `Parameters`
  `createParameters()`
  Create an instance of `Parameters`
  `Traces`
  `createTraces()`
  Create an instance of `Traces`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.io7m.certusine.vanilla.internal.jaxb

- ## Method Details

  - ### createOptions

    public Options createOptions()
    Create an instance of `Options`

  - ### createFaultInjection

    public FaultInjection createFaultInjection()
    Create an instance of `FaultInjection`

  - ### createAccount

    public Account createAccount()
    Create an instance of `Account`

  - ### createAccounts

    public Accounts createAccounts()
    Create an instance of `Accounts`

  - ### createParameter

    public Parameter createParameter()
    Create an instance of `Parameter`

  - ### createParameters

    public Parameters createParameters()
    Create an instance of `Parameters`

  - ### createOutput

    public Output createOutput()
    Create an instance of `Output`

  - ### createOutputs

    public Outputs createOutputs()
    Create an instance of `Outputs`

  - ### createDNSConfigurator

    public DNSConfigurator createDNSConfigurator()
    Create an instance of `DNSConfigurator`

  - ### createDNSConfigurators

    public DNSConfigurators createDNSConfigurators()
    Create an instance of `DNSConfigurators`

  - ### createHost

    public Host createHost()
    Create an instance of `Host`

  - ### createHosts

    public Hosts createHosts()
    Create an instance of `Hosts`

  - ### createCertificate

    public Certificate createCertificate()
    Create an instance of `Certificate`

  - ### createCertificates

    public Certificates createCertificates()
    Create an instance of `Certificates`

  - ### createOutputReference

    public OutputReference createOutputReference()
    Create an instance of `OutputReference`

  - ### createOutputReferences

    public OutputReferences createOutputReferences()
    Create an instance of `OutputReferences`

  - ### createDomain

    public Domain createDomain()
    Create an instance of `Domain`

  - ### createDomains

    public Domains createDomains()
    Create an instance of `Domains`

  - ### createMetrics

    public Metrics createMetrics()
    Create an instance of `Metrics`

  - ### createTraces

    public Traces createTraces()
    Create an instance of `Traces`

  - ### createLogs

    public Logs createLogs()
    Create an instance of `Logs`

  - ### createOpenTelemetry

    public OpenTelemetry createOpenTelemetry()
    Create an instance of `OpenTelemetry`

  - ### createConfiguration

    public Configuration createConfiguration()
    Create an instance of `Configuration`